# Interface_InterfaceMismatch.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Interface_InterfaceMismatch.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Interface_InterfaceError.hxx>`

## Defines

#define | Interface_InterfaceMismatch_Raise_if(CONDITION, MESSAGE) if (CONDITION) Interface_InterfaceMismatch::Raise(MESSAGE);

## Define Documentation

#define Interface_InterfaceMismatch_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) Interface_InterfaceMismatch::Raise(MESSAGE);